Contents
Index 🔎︎

# TypeName Function; VarType Function

Returns a string (TypeName) or a numeric value (VarType) that contains information for a variable.

### Syntax:

    TypeName (Variable) / VarType (Variable)

### Return value:

String; Integer

### Parameters:

Variable: The variable that you want to determine the type of. You can use the following values:

Keyword | Named constant | VarType | Tip varijabla
--- | --- | --- | ---
Boolean |  | 11 | Boolean Variables
Byte |  | 17 | Byte variable
Date | V_DATE | 7 | Date Variables
Currency | V_CURRENCY | 6 | Currency variable
Double | V_DOUBLE | 5 | Dvostruka varijabla pomičnog zareza
Integer | V_INTEGER | 2 | Cjelobrojna varijabla
Long | V_LONG | 3 | Cjelobrojna varijabla velikih brojeva
Object |  | 9 | Objektna varijabla
Single | V_SINGLE | 4 | Jednostruka varijabla pomičnog zareza
String | V_STRING | 8 | Znakovna varijabla
Variant |  | 12 | Varijante varijabli (može sadržavati sve tipove navedene u definiciji)
Empty | V_EMPTY | 0 | Varijabla nije definirana
Null | V_NULL | 1 | Neispravni podatak

### Error codes:

5 Invalid procedure call

### Example:

    Sub ExampleType
    Dim iVar As Integer
    Dim sVar As String
    Dim siVar As Single
    Dim dVar As Double
    Dim bVar As Boolean
    Dim lVar As Long
    Dim cVar as Currency
    Dim tVar as Date
     MsgBox TypeName(iVar) & " " & VarType(iVar) & Chr(13) &_
     TypeName(sVar) & " " & VarType(sVar) & Chr(13) &_
     TypeName(siVar) & " " & VarType(siVar) & Chr(13) &_
     TypeName(dVar) & " " & VarType(dVar) & Chr(13) &_
     TypeName(bVar) & " " & VarType(bVar) & Chr(13) &_
     TypeName(cVar) & " " & VarType(cVar) & Chr(13) &_
     TypeName(tVar) & " " & VarType(tVar) & Chr(13) &_
     TypeName(lVar) & " " & VarType(lVar),0,"SNeki tipovi u LibreOffice Basic"
    End Sub